const config = require('../../config');
const providers = config.providers;
const crypto = require('crypto');
const bcrypt = require('bcrypt');
const moment = require('moment');

module.exports = function(sequelize, DataTypes) {
  const highlight_items = sequelize.define(
    'highlight_items',
    {
      id: {
        type: DataTypes.UUID,
        defaultValue: DataTypes.UUIDV4,
        primaryKey: true,
      },

sort_order: {
        type: DataTypes.INTEGER,
      
      

      },

      importHash: {
        type: DataTypes.STRING(255),
        allowNull: true,
        unique: true,
      },
    },
    {
      timestamps: true,
      paranoid: true,
      freezeTableName: true,
    },
  );

  highlight_items.associate = (db) => {


/// loop through entities and it's fields, and if ref === current e[name] and create relation has many on parent entity





























//end loop



    db.highlight_items.belongsTo(db.highlights, {
      as: 'highlight',
      foreignKey: {
        name: 'highlightId',
      },
      constraints: false,
    });

    db.highlight_items.belongsTo(db.stories, {
      as: 'story',
      foreignKey: {
        name: 'storyId',
      },
      constraints: false,
    });




    db.highlight_items.belongsTo(db.users, {
      as: 'createdBy',
    });

    db.highlight_items.belongsTo(db.users, {
      as: 'updatedBy',
    });
  };



  return highlight_items;
};


